To use these endpoints on testnet4 or signet, send requests to
https://testnet.api.bestinslot.xyz or https://signet_api.bestinslot.xyz
respectively. Your existing API key works on all networks.
Get Inscription Info
Included in: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/inscription/single_info_id
Returns detailed information about a specific inscription.
last_sale_price, listing prices (min_price, ordswap_price,
magiceden_price, etc.), and collection_floor_price are only populated on
the Pro tier and above.
The inscription ID to look up.
{
"data": {
"inscription_name": "Runestone",
"inscription_id": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci19",
"inscription_number": 64362443,
"metadata": {
"name": "Runestone"
},
"wallet": "12dSsr8sFs21kpWaD2spSweFmyNzkZ8eRu",
"mime_type": "model/gltf+json",
"media_length": 0,
"genesis_ts": 1710447063,
"genesis_height": 834708,
"genesis_fee": 1345,
"output_value": 546,
"satpoint": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152c:20:0",
"last_sale_price": null,
"collection_name": "Runestone",
"collection_slug": "runestone",
"last_transfer_block_height": 834708,
"utxo": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152c:20",
"parent_ids": [
"fdb2df5d2b16db1ebcbf09e2d23b3f4e417db44b58e712c99b61f26b52c7cbb5i0"
],
"collection_floor_price": 3950000,
"min_price": null,
"ordswap_price": null,
"magiceden_price": null,
"ordinalswallet_price": null,
"gammaio_price": null,
"nostr_price": null,
"odynals_price": null,
"unisat_price": null,
"ordinalsmarket_price": null,
"okx_price": null,
"content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci19",
"bis_url": "https://bestinslot.xyz/ordinals/inscription/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci19",
"render_url": null,
"byte_size": 0,
"bitmap_number": null,
"delegate": {
"delegate_id": "ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
"render_url": "https://bis-ord-renders.fra1.cdn.digitaloceanspaces.com/renders/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0.png",
"mime_type": "model/gltf+json",
"content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
"bis_url": "https://bestinslot.xyz/ordinals/inscription/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0"
}
},
"block_height": 836798
}
Get Batch Inscription Info
Included in: Basic, Pro, Dedicated
POST https://api.bestinslot.xyz/v3/inscription/batch_info
Returns detailed information about up to 100 inscriptions in a single request.
All entries in queries must be the same type — you cannot mix inscription IDs, numbers, and locations in one request.
last_sale_price, listing prices, and collection_floor_price are only
populated on the Pro tier and above.
A list of inscription identifiers to look up. Each element can be an
inscription ID (string), inscription number (integer), or location in
txid:index format. All elements must be the same type. Maximum length: 100.
{
"data": [
{
"query": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci1",
"result": {
"inscription_name": "Runestone",
"inscription_id": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci1",
"inscription_number": 64362425,
"metadata": {
"name": "Runestone"
},
"wallet": "113zRn6gi97iAriKbXTFtkgqSeVmAD32uA",
"mime_type": "model/gltf+json",
"media_length": 0,
"genesis_ts": 1710447063,
"genesis_height": 834708,
"genesis_fee": 1345,
"output_value": 546,
"satpoint": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152c:2:0",
"last_sale_price": null,
"collection_name": "Runestone",
"collection_slug": "runestone",
"last_transfer_block_height": 834708,
"utxo": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152c:2",
"parent_ids": [
"fdb2df5d2b16db1ebcbf09e2d23b3f4e417db44b58e712c99b61f26b52c7cbb5i0"
],
"genesis_block_hash": "00000000000000000000292964b4b00d1d414583bd18d1ebea7a8041d4409c6d",
"collection_floor_price": 3950000,
"min_price": null,
"ordswap_price": null,
"magiceden_price": null,
"ordinalswallet_price": null,
"gammaio_price": null,
"nostr_price": null,
"odynals_price": null,
"unisat_price": null,
"ordinalsmarket_price": null,
"okx_price": null,
"content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci1",
"bis_url": "https://bestinslot.xyz/ordinals/inscription/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci1",
"render_url": null,
"byte_size": 0,
"bitmap_number": null,
"delegate": {
"delegate_id": "ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
"render_url": "https://bis-ord-renders.fra1.cdn.digitaloceanspaces.com/renders/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0.png",
"mime_type": "model/gltf+json",
"content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
"bis_url": "https://bestinslot.xyz/ordinals/inscription/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0"
}
}
}
],
"block_height": 804350
}
Get Global Inscription Info
Included in: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/inscription/global_info
Returns global inscription counts broken down by MIME type category.
{
"data": [
{
"text_cnt": 24513963,
"image_cnt": 1118329,
"application_cnt": 299961,
"video_cnt": 1932,
"model_cnt": 469,
"audio_cnt": 666,
"max_inscription_number": 25935380
}
],
"block_height": 804350
}
Request Render Refresh
Included in: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/inscription/render_refresh
Queues a render refresh for the specified inscription. Use this when the cached render for an inscription is stale or missing.
The inscription ID for which to request a render refresh.
The data field in the response will be either "added-to-queue" or "already-in-queue".
{
"data": "added-to-queue",
"block_height": 889397
}
Get Inscription Activity
Included in: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/inscription/activity
Returns a paginated, ordered list of inscribes, sales, and transfers for a single inscription.
The inscription ID to query activity for.
A bitmask controlling which event types to include. Combine values using the
bitwise OR operator:
1 — inscribed
2 — transferred
4 — sold
Example: to return sales and transfers, pass 6 (i.e. 2 | 4).
Sort field. Accepted value: ts.
Sort direction. Accepted values: asc, desc.
Pagination offset. Must be a multiple of 20. Range: 0 to 5000.
Number of results to return. Must be a multiple of 20. Range: 20 to 100.
{
"data": [
{
"inscription_id": "daf55547be8fd88f242ce24b3af11ec9f4d602b0c05b4b23967dfcd160ac719di0",
"from_wallet": "bc1pm2grfjnvhrfjff965cs63gma5ze02v3572wks9mdl7kxjyt2q58q5es97l",
"to_wallet": "bc1pdly22tta7wx56j9xhygzg5dwnd4a3xnj7qyt9ewrajn9hvmha9msfpm3sd",
"block_height": 795034,
"sale_price": -1,
"new_satpoint": "5cd78b9bf19d80a1d525564ef7df775b65f0cc15e5f7bbafcb724c1b8995615c:0:0",
"ts": "2023-06-19T09:30:18.000Z",
"marketplace_type": "magiceden",
"tx_id": "5cd78b9bf19d80a1d525564ef7df775b65f0cc15e5f7bbafcb724c1b8995615c"
}
],
"block_height": 795035
}
Get Inscriptions in Transaction
Included in: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/inscription/in_transaction
Returns the inscription IDs that move as inputs or outputs within a given transaction.
{
"data": [
{
"inscription_id": "7fd3aca38fd8acb22efe231ef5d5439e391c0394be3967ee07484cffc1b792fai0"
},
{
"inscription_id": "251c744ceb0ad4c6e1ee0d391cfa0451d958065e73605b543190cda62723f6f8i0"
},
{
"inscription_id": "b089b8df8392d0ac3b47b8e51fb008aa40442b6bb250ad2a1d8d60d88cc65585i0"
},
{
"inscription_id": "ec9570ada981607bd93a5a7e6fd99760faaa8fc87989aa6646fe8c9b2aab494ei0"
},
{
"inscription_id": "7c679ba4a2b8460fb60d62912e812206a031abeef19983564953c14bb4e091d5i0"
},
{
"inscription_id": "9c233d4b62e1fde06c1a238fcef26e398eaee5a9abf32a6de8eef12cd4e523dai0"
}
],
"block_height": 815901
}
Get Inscription Activity on Block
Included in: Enterprise, Dedicated with Enterprise Endpoints
GET https://api.bestinslot.xyz/v3/inscription/activity_on_block
Returns all inscription activity (inscribes, transfers, sales) that occurred in a specific block.
The block_height field in the response reflects the latest indexed block
of the indexer, not the queried block height.
The block height to query. Must not exceed the current Bitcoin block height.
Optional bitmask to filter event types:
1 — inscribed
2 — transferred
4 — sold
Combine with bitwise OR (e.g. 6 for sales and transfers).
Sort field. Accepted value: ts.
Sort direction. Accepted values: asc, desc.
{
"data": [
{
"inscription_id": "b4f3838eecc0600531264e3dfcffbe997c73d77c7aa6fb7e9afc7cc20fad2fa9i0",
"from_wallet": "bc1pz5sdw9zqek9vhc52w7du4yskwk8rmcz0m7wmqhfv24gv5tdqqzcqpwvdt0",
"to_wallet": "bc1pk6t7u08vtpx7r79m8hhxrhsd9s7xpqck9aa75hlgq3fm8ww83n9s8hex94",
"block_height": 805002,
"sale_price": 417950,
"new_satpoint": "fab1dbe521900e73a87b2410c84559320cbdf7b21415fbfc57a1d5dfbed662de:1:0",
"ts": "2023-08-27T04:12:43.000Z",
"marketplace_type": "magiceden",
"inscription_name": "Ordinal Insider #29",
"inscription_number": 921122,
"collection_name": "Ordinal Insiders",
"collection_slug": "ordinal-insiders",
"tx_id": "fab1dbe521900e73a87b2410c84559320cbdf7b21415fbfc57a1d5dfbed662de"
}
],
"block_height": 815969
}
Get New Inscriptions in Block
Included in: Enterprise, Dedicated with Enterprise Endpoints
GET https://api.bestinslot.xyz/v3/inscription/new_inscriptions_in_block
Returns all inscriptions that were created (inscribed) in a given block.
The block_height field in the response reflects the latest indexed block
of the indexer, not the queried block height.
The block height to query. Must not exceed the current Bitcoin block height.
{
"data": [
{
"inscription_name": "Runestone",
"inscription_id": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci0",
"inscription_number": 64362424,
"metadata": {
"name": "Runestone"
},
"wallet": "1111111111111111111114oLvT2",
"mime_type": "model/gltf+json",
"media_length": 0,
"genesis_ts": 1710447063,
"genesis_height": 834708,
"genesis_fee": 1345,
"output_value": 546,
"satpoint": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152c:1:0",
"last_sale_price": null,
"collection_name": "Runestone",
"collection_slug": "runestone",
"last_transfer_block_height": 834708,
"parent_ids": [
"fdb2df5d2b16db1ebcbf09e2d23b3f4e417db44b58e712c99b61f26b52c7cbb5i0"
],
"collection_floor_price": 3950000,
"min_price": null,
"ordswap_price": null,
"magiceden_price": null,
"ordinalswallet_price": null,
"gammaio_price": null,
"nostr_price": null,
"odynals_price": null,
"unisat_price": null,
"ordinalsmarket_price": null,
"okx_price": null,
"content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci0",
"bis_url": "https://bestinslot.xyz/ordinals/inscription/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci0",
"render_url": null,
"byte_size": 0,
"bitmap_number": null,
"delegate": {
"delegate_id": "ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
"render_url": "https://bis-ord-renders.fra1.cdn.digitaloceanspaces.com/renders/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0.png",
"mime_type": "model/gltf+json",
"content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
"bis_url": "https://bestinslot.xyz/ordinals/inscription/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0"
}
}
],
"block_height": 804496
}